| Earth Observation Mission CFI Software DataHandling Software User Manual |

Public Member Functions | Public Attributes

# EECFI::OemFile Class Reference

Class for reading ORBIT EPHEMERIS MESSAGE (OEM) files. More...

Inheritance diagram for EECFI::OemFile:

List of all members.

## Public Member Functions
| OemFile ()
| Empty constructor.
| OemFile (string fileNam)
| Constructor with parameters.
| ~OemFile ()
| Destructor.
void | read () throw (CfiError)
| Read the whole file.
void | read (OsvListReadConfiguration osvListReadConfig) throw (CfiError)
| Read the file according to inputs (base method).
## Public Attributes
string | ccsdsOemVers
string | commentHeader
string | creationDate
string | originator
string | commentMetadata
string | objectName
string | objectId
string | centerName
string | refFrame
string | refFrameEpoch
string | timeSystem
string | startTime
string | useableStartTime
string | useableStopTime
string | stopTime
string | interpolation
string | interpolationDegree
vector< OsvRec > | osvRec
| Vector of state vectors.

## Detailed Description

Class for reading ORBIT EPHEMERIS MESSAGE (OEM) files.

## Constructor & Destructor Documentation

EECFI::OemFile::OemFile | ( |  | ) |

Empty constructor.

References EECFI::EEFile::fileType.

EECFI::OemFile::OemFile | ( | string | fileNam | ) |

Constructor with parameters.

EECFI::OemFile::~OemFile | ( |  | ) |

Destructor.

References osvRec.

## Member Function Documentation

void EECFI::OemFile::read | ( |  | ) | throw (CfiError)

Read the whole file.

References EECFI::OsvListReadConfiguration::timeMode.

void EECFI::OemFile::read | ( | OsvListReadConfiguration | osvListReadConfig | ) | throw (CfiError)

Read the file according to inputs (base method).

Parameters:

  | osvListReadConfig | Configuration for reading OSV state vectors

## Member Data Documentation

string EECFI::OemFile::ccsdsOemVers

string EECFI::OemFile::centerName

string EECFI::OemFile::commentHeader

string EECFI::OemFile::commentMetadata

string EECFI::OemFile::creationDate

string EECFI::OemFile::interpolation

string EECFI::OemFile::interpolationDegree

string EECFI::OemFile::objectId

string EECFI::OemFile::objectName

string EECFI::OemFile::originator

vector<OsvRec> EECFI::OemFile::osvRec

Vector of state vectors.

Referenced by ~OemFile().

string EECFI::OemFile::refFrame

string EECFI::OemFile::refFrameEpoch

string EECFI::OemFile::startTime

string EECFI::OemFile::stopTime

string EECFI::OemFile::timeSystem

string EECFI::OemFile::useableStartTime

string EECFI::OemFile::useableStopTime